Agents
Remove a per-provider profile override
Remove the connection profile override for a specific provider, reverting to the default profile.
DELETE
/api/agents/{scope}/{name}/provider-profilesbetter-auth.session_token<token>
Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.
In: cookie
Path Parameters
scope*string
Match
^@[a-z0-9][a-z0-9-]*$name*string
Header Parameters
X-Org-Id?string
Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).
Format
uuidRequest Body
application/json
curl -X DELETE "https://loading/api/agents/string/string/provider-profiles" \ -H "Content-Type: application/json" \ -d '{ "providerId": "string" }'{
"success": true
}{
"type": "https://docs.appstrate.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing session",
"code": "unauthorized",
"requestId": "req_abc123"
}{
"type": "https://docs.appstrate.dev/errors/forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions",
"code": "forbidden",
"requestId": "req_abc123"
}{
"type": "https://docs.appstrate.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Resource not found",
"code": "not_found",
"requestId": "req_abc123"
}